Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezcheckoutsupplier.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: ezcheckoutsuppliergateway.php 7552 2001-09-28 09:19:50Z ce $
5 //
6 // Definition of eZCheckoutSupplier class
7 //
8 // Created on: <02-Feb-2001 15:22:14 bf>
9 //
10 // This source file is part of Exponential Basic, publishing software.
11 //
12 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
13 //
14 // This program is free software; you can redistribute it and/or
15 // modify it under the terms of the GNU General Public License
16 // as published by the Free Software Foundation; either version 2
17 // of the License, or (at your option) any later version.
18 //
19 // This program is distributed in the hope that it will be useful,
20 // but WITHOUT ANY WARRANTY; without even the implied warranty of
21 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
22 // GNU General Public License for more details.
23 //
24 // You should have received a copy of the GNU General Public License
25 // along with this program; if not, write to the Free Software
26 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
27 //
28
31
35 class eZCheckoutSupplier
36 {
37 function __construct()
38 {
39 $this->PaymentMethods = array( array( "ID" => 1, "Text" => "VISA" ),
40 array( "ID" => 2, "Text" => "Mastercard" ),
41 array( "ID" => 3, "Text" => "Invoice" ),
42 array( "ID" => 4, "Text" => "Voucher" ),
43 array( "ID" => 5, "Text" => "Corporate Account" ),
44 );
45 }
46
56 function &paymentMethods( )
57 {
58 return $this->PaymentMethods;
59 }
60
64 function &paymentName( $id )
65 {
66 $ret = "unknown";
67 foreach ( $this->PaymentMethods as $paymentMethod )
68 {
69 if ( $paymentMethod["ID"] == $id )
70 {
71 $ret = $paymentMethod["Text"];
72 }
73 if ( $id == "voucher_done" )
74 $ret = $this->PaymentMethods[3]["Text"];
75 }
76
77 return $ret;
78 }
79
83 function &paymentFile( $id )
84 {
85 $ret = "kernel/eztrade/user/visa.php";
86 switch( $id )
87 {
88 case 1 :
89 {
90 $ret = "kernel/eztrade/user/visa.php";
91 }
92 break;
93 case 2 :
94 {
95 $ret = "kernel/eztrade/user/mastercard.php";
96 }
97 break;
98 case 3 :
99 {
100 $ret = "kernel/eztrade/user/invoice.php";
101 }
102 break;
103 case 4 :
104 {
105 $ret = "kernel/eztrade/user/voucher.php";
106 }
107 break;
108 case 5 :
109 {
110 $ret = "eztrade/user/corporate_account.php";
111 }
112 break;
113 }
114 return $ret;
115 }
116
117 var $PaymentMethods;
118 }
119
120 ?>
eZCheckoutSupplier
Definition: ezcheckoutsupplier.php:36
eZCheckoutSupplier\paymentName
& paymentName( $id)
Definition: ezcheckoutsupplier.php:64
eZCheckoutSupplier\$PaymentMethods
$PaymentMethods
Definition: ezcheckoutsupplier.php:117
eZCheckoutSupplier\__construct
__construct()
Definition: ezcheckoutsupplier.php:37
eZCheckoutSupplier\paymentFile
& paymentFile( $id)
Definition: ezcheckoutsupplier.php:83
eZCheckoutSupplier\paymentMethods
& paymentMethods()
Definition: ezcheckoutsupplier.php:56
$id
$id
Definition: companytypelist.php:193
$ret
$ret
Definition: ezsitemanager/admin/filelist.php:88
$paymentMethod
$paymentMethod
Definition: orderedit.php:668
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.